// java wrapper for vtkSelection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSelection.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSelection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSelection",dType)) { return me; }
  if ((res= vtkDataObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSelection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  const char    *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSelection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_Initialize_12(JNIEnv *env, jobject obj)
{
  vtkSelection *op;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelection_GetDataObjectType_13(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  int      temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_SetSelectionList_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelection *op;
  vtkAbstractArray  *temp0;
  temp0 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionList(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_GetSelectionList_15(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  vtkAbstractArray  *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionList();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_SetSelectionData_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelection *op;
  vtkFieldData  *temp0;
  temp0 = (vtkFieldData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionData(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_GetSelectionData_17(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  vtkFieldData  *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_GetProperties_18(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  vtkInformation  *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProperties();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelection_GetNumberOfChildren_19(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
   unsigned int      temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfChildren();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_GetChild_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelection *op;
   unsigned int      temp0;
  vtkSelection  *temp20;
  temp0 = id0;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetChild(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_GetParentNode_111(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  vtkSelection  *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParentNode();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_AddChild_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelection *op;
  vtkSelection  *temp0;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->AddChild(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_RemoveChild_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelection *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveChild(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_RemoveChild_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelection *op;
  vtkSelection  *temp0;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveChild(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_RemoveAllChildren_115(JNIEnv *env, jobject obj)
{
  vtkSelection *op;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllChildren();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_Clear_116(JNIEnv *env, jobject obj)
{
  vtkSelection *op;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->Clear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_DeepCopy_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelection *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_ShallowCopy_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelection *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_CopyChildren_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelection *op;
  vtkSelection  *temp0;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyChildren(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_Union_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelection *op;
  vtkSelection  *temp0;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->Union(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelection_GetMTime_121(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
   unsigned long     temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_CONTENT_TYPE_122(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CONTENT_TYPE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_SetContentType_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelection *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->SetContentType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelection_GetContentType_124(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  int      temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetContentType();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_FIELD_TYPE_125(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FIELD_TYPE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_SetFieldType_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelection *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelection_GetFieldType_127(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  int      temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldType();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_EPSILON_128(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  vtkInformationDoubleKey  *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->EPSILON();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_CONTAINING_CELLS_129(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CONTAINING_CELLS();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_INVERSE_130(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->INVERSE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_PIXEL_COUNT_131(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PIXEL_COUNT();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_SOURCE_132(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  vtkInformationObjectBaseKey  *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SOURCE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_SOURCE_ID_133(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SOURCE_ID();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_PROP_134(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  vtkInformationObjectBaseKey  *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PROP();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_PROP_ID_135(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PROP_ID();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_PROCESS_ID_136(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PROCESS_ID();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_COMPOSITE_INDEX_137(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->COMPOSITE_INDEX();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_HIERARCHICAL_LEVEL_138(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HIERARCHICAL_LEVEL();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_HIERARCHICAL_INDEX_139(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HIERARCHICAL_INDEX();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_INDEXED_VERTICES_140(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->INDEXED_VERTICES();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_GetData_141(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelection *op;
  vtkInformation  *temp0;
  vtkSelection  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_GetData_142(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkSelection *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkSelection  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSelection_VTKInit(JNIEnv *, jobject)
{
  vtkSelection *aNewOne = vtkSelection::New();
  return (jlong)(size_t)(void*)aNewOne;
}
