// java wrapper for vtkSelectionLink object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSelectionLink.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSelectionAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSelectionLink_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSelectionLink",dType)) { return me; }
  if ((res= vtkSelectionAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSelectionLink_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSelectionLink *op;
  const char    *temp20;

  op = (vtkSelectionLink *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectionLink_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSelectionLink *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSelectionLink *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelectionLink_GetSelection_12(JNIEnv *env, jobject obj)
{
  vtkSelectionLink *op;
  vtkSelection  *temp20;

  op = (vtkSelectionLink *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelection();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionLink_SetSelection_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelectionLink *op;
  vtkSelection  *temp0;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelectionLink *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelection(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSelectionLink_VTKInit(JNIEnv *, jobject)
{
  vtkSelectionLink *aNewOne = vtkSelectionLink::New();
  return (jlong)(size_t)(void*)aNewOne;
}
