// java wrapper for vtkTemporalShiftScale object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTemporalShiftScale.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTemporalDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTemporalShiftScale_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTemporalShiftScale",dType)) { return me; }
  if ((res= vtkTemporalDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTemporalShiftScale_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTemporalShiftScale *op;
  const char    *temp20;

  op = (vtkTemporalShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalShiftScale_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTemporalShiftScale *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTemporalShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalShiftScale_SetShift_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTemporalShiftScale *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTemporalShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShift(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTemporalShiftScale_GetShift_13(JNIEnv *env, jobject obj)
{
  vtkTemporalShiftScale *op;
  double   temp20;

  op = (vtkTemporalShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShift();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalShiftScale_SetScale_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTemporalShiftScale *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTemporalShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTemporalShiftScale_GetScale_15(JNIEnv *env, jobject obj)
{
  vtkTemporalShiftScale *op;
  double   temp20;

  op = (vtkTemporalShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScale();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTemporalShiftScale_VTKInit(JNIEnv *, jobject)
{
  vtkTemporalShiftScale *aNewOne = vtkTemporalShiftScale::New();
  return (jlong)(size_t)(void*)aNewOne;
}
