// java wrapper for vtkTreeMapLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeMapLayoutStrategy.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTreeMapLayoutStrategy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTreeMapLayoutStrategy",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeMapLayoutStrategy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTreeMapLayoutStrategy *op;
  const char    *temp20;

  op = (vtkTreeMapLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeMapLayoutStrategy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapLayoutStrategy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapLayoutStrategy_Layout_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkTreeMapLayoutStrategy *op;
  vtkTree  *temp0;
  vtkDataArray  *temp1;
  temp0 = (vtkTree *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkTreeMapLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->Layout(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapLayoutStrategy_SetBorderPercentage_13(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTreeMapLayoutStrategy *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTreeMapLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorderPercentage(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTreeMapLayoutStrategy_GetBorderPercentage_14(JNIEnv *env, jobject obj)
{
  vtkTreeMapLayoutStrategy *op;
  double   temp20;

  op = (vtkTreeMapLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorderPercentage();
  return temp20;
}
