// java wrapper for vtkGraphLayoutView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraphLayoutView.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderView_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGraphLayoutView_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGraphLayoutView",dType)) { return me; }
  if ((res= vtkRenderView_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutView_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  const char    *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphLayoutView_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetVertexLabelArrayName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexLabelArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutView_GetVertexLabelArrayName_13(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  const char    *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexLabelArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetEdgeLabelArrayName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLabelArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutView_GetEdgeLabelArrayName_15(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  const char    *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLabelArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetVertexLabelVisibility_16(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexLabelVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphLayoutView_GetVertexLabelVisibility_17(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  bool   temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_VertexLabelVisibilityOn_18(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->VertexLabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_VertexLabelVisibilityOff_19(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->VertexLabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetEdgeLabelVisibility_110(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLabelVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphLayoutView_GetEdgeLabelVisibility_111(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  bool   temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_EdgeLabelVisibilityOn_112(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgeLabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_EdgeLabelVisibilityOff_113(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgeLabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetVertexColorArrayName_114(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexColorArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutView_GetVertexColorArrayName_115(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  const char    *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexColorArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetColorVertices_116(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorVertices(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphLayoutView_GetColorVertices_117(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  bool   temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorVertices();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_ColorVerticesOn_118(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorVerticesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_ColorVerticesOff_119(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorVerticesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetEdgeColorArrayName_120(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeColorArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutView_GetEdgeColorArrayName_121(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  const char    *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeColorArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetColorEdges_122(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorEdges(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphLayoutView_GetColorEdges_123(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  bool   temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_ColorEdgesOn_124(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorEdgesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_ColorEdgesOff_125(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorEdgesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetScalingArrayName_126(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalingArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutView_GetScalingArrayName_127(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  const char    *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalingArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetScaledGlyphs_128(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaledGlyphs(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphLayoutView_GetScaledGlyphs_129(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  bool   temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaledGlyphs();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_ScaledGlyphsOn_130(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ScaledGlyphsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_ScaledGlyphsOff_131(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ScaledGlyphsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategy_132(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategyToRandom_133(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToRandom();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategyToForceDirected_134(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToForceDirected();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategyToSimple2D_135(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToSimple2D();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategyToClustering2D_136(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToClustering2D();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategyToCommunity2D_137(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToCommunity2D();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategyToFast2D_138(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToFast2D();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategyToPassThrough_139(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToPassThrough();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategyToCircular_140(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToCircular();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutView_GetLayoutStrategyName_141(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  const char    *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayoutStrategyName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGraphLayoutView_GetLayoutStrategy_142(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  vtkGraphLayoutStrategy  *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayoutStrategy();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategy_143(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraphLayoutView *op;
  vtkGraphLayoutStrategy  *temp0;
  temp0 = (vtkGraphLayoutStrategy *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetIterationsPerLayout_144(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraphLayoutView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIterationsPerLayout(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetIconTexture_145(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraphLayoutView *op;
  vtkTexture  *temp0;
  temp0 = (vtkTexture *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIconTexture(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_AddIconType_146(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->AddIconType(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_ClearIconTypes_147(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearIconTypes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetIconAlignment_148(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraphLayoutView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIconAlignment(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetIconVisibility_149(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIconVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphLayoutView_GetIconVisibility_150(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  bool   temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIconVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_IconVisibilityOn_151(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->IconVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_IconVisibilityOff_152(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->IconVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetIconArrayName_153(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIconArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutView_GetIconArrayName_154(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  const char    *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIconArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetSelectionArrayName_155(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutView_GetSelectionArrayName_156(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  const char    *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetupRenderWindow_157(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraphLayoutView *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetupRenderWindow(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_ApplyViewTheme_158(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraphLayoutView *op;
  vtkViewTheme  *temp0;
  temp0 = (vtkViewTheme *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyViewTheme(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetVertexLabelFontSize_159(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraphLayoutView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexLabelFontSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphLayoutView_GetVertexLabelFontSize_160(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  int      temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexLabelFontSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetEdgeLabelFontSize_161(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraphLayoutView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLabelFontSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphLayoutView_GetEdgeLabelFontSize_162(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  int      temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLabelFontSize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphLayoutView_IsLayoutComplete_163(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  int      temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsLayoutComplete();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_UpdateLayout_164(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateLayout();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGraphLayoutView_VTKInit(JNIEnv *, jobject)
{
  vtkGraphLayoutView *aNewOne = vtkGraphLayoutView::New();
  return (jlong)(size_t)(void*)aNewOne;
}
