// java wrapper for vtkRenderView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderView.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkView_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRenderView_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRenderView",dType)) { return me; }
  if ((res= vtkView_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderView_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;
  const char    *temp20;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderView_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderView *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderView_GetRenderer_12(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;
  vtkRenderer  *temp20;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderer();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetupRenderWindow_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderView *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetupRenderWindow(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderView_GetRenderWindow_14(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;
  vtkRenderWindow  *temp20;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderWindow();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_ApplyViewTheme_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderView *op;
  vtkViewTheme  *temp0;
  temp0 = (vtkViewTheme *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyViewTheme(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_Update_16(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetSelectionMode_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderView_GetSelectionModeMinValue_18(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;
  int      temp20;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderView_GetSelectionModeMaxValue_19(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;
  int      temp20;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderView_GetSelectionMode_110(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;
  int      temp20;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetSelectionModeToSurface_111(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionModeToSurface();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetSelectionModeToFrustum_112(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionModeToFrustum();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRenderView_VTKInit(JNIEnv *, jobject)
{
  vtkRenderView *aNewOne = vtkRenderView::New();
  return (jlong)(size_t)(void*)aNewOne;
}
