// java wrapper for vtkDistanceRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDistanceRepresentation.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWidgetRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDistanceRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDistanceRepresentation",dType)) { return me; }
  if ((res= vtkWidgetRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDistanceRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation *op;
  const char    *temp20;

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistanceRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDistanceRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDistanceRepresentation_GetDistance_12(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation *op;
  double   temp20;

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation_GetPoint1WorldPosition_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDistanceRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint1WorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation_GetPoint2WorldPosition_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDistanceRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint2WorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation_SetPoint1DisplayPosition_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDistanceRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint1DisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation_SetPoint2DisplayPosition_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDistanceRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint2DisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation_GetPoint1DisplayPosition_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDistanceRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint1DisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation_GetPoint2DisplayPosition_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDistanceRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint2DisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation_SetHandleRepresentation_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDistanceRepresentation *op;
  vtkHandleRepresentation  *temp0;
  temp0 = (vtkHandleRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandleRepresentation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation_InstantiateHandleRepresentation_110(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation *op;

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->InstantiateHandleRepresentation();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDistanceRepresentation_GetPoint1Representation_111(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation *op;
  vtkHandleRepresentation  *temp20;

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint1Representation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDistanceRepresentation_GetPoint2Representation_112(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation *op;
  vtkHandleRepresentation  *temp20;

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint2Representation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation_SetTolerance_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkDistanceRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTolerance(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistanceRepresentation_GetToleranceMinValue_114(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation *op;
  int      temp20;

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistanceRepresentation_GetToleranceMaxValue_115(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation *op;
  int      temp20;

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistanceRepresentation_GetTolerance_116(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation *op;
  int      temp20;

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation_SetLabelFormat_117(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDistanceRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelFormat(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDistanceRepresentation_GetLabelFormat_118(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation *op;
  char    *temp20;

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelFormat();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation_BuildRepresentation_119(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation *op;

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistanceRepresentation_ComputeInteractionState_120(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkDistanceRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation_StartWidgetInteraction_121(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDistanceRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation_WidgetInteraction_122(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDistanceRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkDistanceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}
