// java wrapper for vtkGradientFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGradientFilter.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGradientFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGradientFilter",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGradientFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGradientFilter *op;
  const char    *temp20;

  op = (vtkGradientFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGradientFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGradientFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGradientFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGradientFilter_SetInputScalars_12(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkGradientFilter *op;
  int      temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkGradientFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputScalars(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGradientFilter_SetInputScalars_13(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkGradientFilter *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGradientFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputScalars(temp0,temp1);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGradientFilter_GetResultArrayName_14(JNIEnv *env, jobject obj)
{
  vtkGradientFilter *op;
  char    *temp20;

  op = (vtkGradientFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResultArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGradientFilter_SetResultArrayName_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGradientFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGradientFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResultArrayName(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGradientFilter_VTKInit(JNIEnv *, jobject)
{
  vtkGradientFilter *aNewOne = vtkGradientFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
