// java wrapper for vtkCosmoReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCosmoReader.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCosmoReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCosmoReader",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCosmoReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCosmoReader *op;
  const char    *temp20;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCosmoReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCosmoReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCosmoReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCosmoReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCosmoReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkCosmoReader *op;
  char    *temp20;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCosmoReader_GetNumberOfNodes_14(JNIEnv *env, jobject obj)
{
  vtkCosmoReader *op;
  int      temp20;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfNodes();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCosmoReader_GetNumberOfVariables_15(JNIEnv *env, jobject obj)
{
  vtkCosmoReader *op;
  int      temp20;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVariables();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCosmoReader_GetOutput_16(JNIEnv *env, jobject obj)
{
  vtkCosmoReader *op;
  vtkUnstructuredGrid  *temp20;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCosmoReader_GetOutput_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkCosmoReader *op;
  int      temp0;
  vtkUnstructuredGrid  *temp20;
  temp0 = id0;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCosmoReader_SetByteOrderToBigEndian_18(JNIEnv *env, jobject obj)
{
  vtkCosmoReader *op;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetByteOrderToBigEndian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCosmoReader_SetByteOrderToLittleEndian_19(JNIEnv *env, jobject obj)
{
  vtkCosmoReader *op;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetByteOrderToLittleEndian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCosmoReader_SetByteOrder_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkCosmoReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetByteOrder(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCosmoReader_GetByteOrder_111(JNIEnv *env, jobject obj)
{
  vtkCosmoReader *op;
  int      temp20;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetByteOrder();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCosmoReader_SetStride_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkCosmoReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStride(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCosmoReader_GetStride_113(JNIEnv *env, jobject obj)
{
  vtkCosmoReader *op;
  int      temp20;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStride();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCosmoReader_SetBoxSize_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCosmoReader *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBoxSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCosmoReader_GetBoxSize_115(JNIEnv *env, jobject obj)
{
  vtkCosmoReader *op;
  double   temp20;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBoxSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCosmoReader_SetPositionRange_116(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkCosmoReader *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPositionRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCosmoReader_SetPositionRange_117(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkCosmoReader *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPositionRange(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCosmoReader_GetPositionRange_118(JNIEnv *env, jobject obj)
{
  vtkCosmoReader *op;
  int     *temp20;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPositionRange();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCosmoReader_ComputeDefaultRange_119(JNIEnv *env, jobject obj)
{
  vtkCosmoReader *op;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeDefaultRange();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCosmoReader_GetNumberOfPointArrays_120(JNIEnv *env, jobject obj)
{
  vtkCosmoReader *op;
  int      temp20;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCosmoReader_GetPointArrayName_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkCosmoReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCosmoReader_GetPointArrayStatus_122(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCosmoReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCosmoReader_SetPointArrayStatus_123(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkCosmoReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCosmoReader_DisableAllPointArrays_124(JNIEnv *env, jobject obj)
{
  vtkCosmoReader *op;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->DisableAllPointArrays();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCosmoReader_EnableAllPointArrays_125(JNIEnv *env, jobject obj)
{
  vtkCosmoReader *op;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableAllPointArrays();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCosmoReader_SetMakeCells_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkCosmoReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMakeCells(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCosmoReader_GetMakeCells_127(JNIEnv *env, jobject obj)
{
  vtkCosmoReader *op;
  int      temp20;

  op = (vtkCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMakeCells();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCosmoReader_VTKInit(JNIEnv *, jobject)
{
  vtkCosmoReader *aNewOne = vtkCosmoReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
