// java wrapper for vtkArrayMap object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkArrayMap.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPassInputTypeAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkArrayMap_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkArrayMap",dType)) { return me; }
  if ((res= vtkPassInputTypeAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayMap_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkArrayMap *op;
  const char    *temp20;

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayMap_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrayMap *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayMap_SetFieldType_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayMap *op;
  int      temp0;
  temp0 = id0;

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayMap_GetFieldType_13(JNIEnv *env, jobject obj)
{
  vtkArrayMap *op;
  int      temp20;

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayMap_SetPassArray_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayMap *op;
  int      temp0;
  temp0 = id0;

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPassArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayMap_GetPassArray_15(JNIEnv *env, jobject obj)
{
  vtkArrayMap *op;
  int      temp20;

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPassArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayMap_PassArrayOn_16(JNIEnv *env, jobject obj)
{
  vtkArrayMap *op;

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  op->PassArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayMap_PassArrayOff_17(JNIEnv *env, jobject obj)
{
  vtkArrayMap *op;

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  op->PassArrayOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayMap_SetFillValue_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkArrayMap *op;
  double   temp0;
  temp0 = id0;

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFillValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArrayMap_GetFillValue_19(JNIEnv *env, jobject obj)
{
  vtkArrayMap *op;
  double   temp20;

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFillValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayMap_SetInputArrayName_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrayMap *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayMap_GetInputArrayName_111(JNIEnv *env, jobject obj)
{
  vtkArrayMap *op;
  char    *temp20;

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayMap_SetOutputArrayName_112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrayMap *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayMap_GetOutputArrayName_113(JNIEnv *env, jobject obj)
{
  vtkArrayMap *op;
  char    *temp20;

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayMap_GetOutputArrayType_114(JNIEnv *env, jobject obj)
{
  vtkArrayMap *op;
  int      temp20;

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputArrayType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayMap_SetOutputArrayType_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayMap *op;
  int      temp0;
  temp0 = id0;

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputArrayType(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayMap_AddToMap_116(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkArrayMap *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  op->AddToMap(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayMap_AddToMap_117(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkArrayMap *op;
  int      temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  op->AddToMap(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayMap_AddToMap_118(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkArrayMap *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  op->AddToMap(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayMap_AddToMap_119(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkArrayMap *op;
  char    *temp0;
  char    *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  op->AddToMap(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayMap_ClearMap_120(JNIEnv *env, jobject obj)
{
  vtkArrayMap *op;

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearMap();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayMap_GetMapSize_121(JNIEnv *env, jobject obj)
{
  vtkArrayMap *op;
  int      temp20;

  op = (vtkArrayMap *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMapSize();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkArrayMap_VTKInit(JNIEnv *, jobject)
{
  vtkArrayMap *aNewOne = vtkArrayMap::New();
  return (jlong)(size_t)(void*)aNewOne;
}
