// java wrapper for vtkGraphLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraphLayoutStrategy.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGraphLayoutStrategy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGraphLayoutStrategy",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutStrategy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutStrategy *op;
  const char    *temp20;

  op = (vtkGraphLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphLayoutStrategy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutStrategy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutStrategy_SetGraph_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraphLayoutStrategy *op;
  vtkGraph  *temp0;
  temp0 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraphLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraph(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutStrategy_Initialize_13(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutStrategy *op;

  op = (vtkGraphLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutStrategy_Layout_14(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutStrategy *op;

  op = (vtkGraphLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->Layout();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphLayoutStrategy_IsLayoutComplete_15(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutStrategy *op;
  int      temp20;

  op = (vtkGraphLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsLayoutComplete();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutStrategy_SetEdgeWeightField_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutStrategy *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeWeightField(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutStrategy_GetEdgeWeightField_17(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutStrategy *op;
  char    *temp20;

  op = (vtkGraphLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeWeightField();
  return vtkJavaMakeJavaString(env,temp20);
}
