// java wrapper for vtkViewTheme object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkViewTheme.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkViewTheme_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkViewTheme",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkViewTheme_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  const char    *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkViewTheme_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkViewTheme *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetPointSize_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkViewTheme *op;
  double   temp0;
  temp0 = id0;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkViewTheme_GetPointSize_13(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double   temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetLineWidth_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkViewTheme *op;
  double   temp0;
  temp0 = id0;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLineWidth(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkViewTheme_GetLineWidth_15(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double   temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineWidth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetPointColor_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkViewTheme *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetPointColor_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewTheme *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewTheme_GetPointColor_18(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double  *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetPointOpacity_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkViewTheme *op;
  double   temp0;
  temp0 = id0;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointOpacity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkViewTheme_GetPointOpacity_110(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double   temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointOpacity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetPointHueRange_111(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkViewTheme *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointHueRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetPointHueRange_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewTheme *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointHueRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewTheme_GetPointHueRange_113(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double  *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointHueRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetPointSaturationRange_114(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkViewTheme *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointSaturationRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetPointSaturationRange_115(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewTheme *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointSaturationRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewTheme_GetPointSaturationRange_116(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double  *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointSaturationRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetPointValueRange_117(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkViewTheme *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointValueRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetPointValueRange_118(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewTheme *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointValueRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewTheme_GetPointValueRange_119(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double  *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointValueRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetPointAlphaRange_120(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkViewTheme *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointAlphaRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetPointAlphaRange_121(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewTheme *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointAlphaRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewTheme_GetPointAlphaRange_122(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double  *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointAlphaRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetCellColor_123(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkViewTheme *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetCellColor_124(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewTheme *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewTheme_GetCellColor_125(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double  *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetCellOpacity_126(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkViewTheme *op;
  double   temp0;
  temp0 = id0;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellOpacity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkViewTheme_GetCellOpacity_127(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double   temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellOpacity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetCellHueRange_128(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkViewTheme *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellHueRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetCellHueRange_129(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewTheme *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellHueRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewTheme_GetCellHueRange_130(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double  *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellHueRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetCellSaturationRange_131(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkViewTheme *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellSaturationRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetCellSaturationRange_132(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewTheme *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellSaturationRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewTheme_GetCellSaturationRange_133(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double  *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellSaturationRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetCellValueRange_134(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkViewTheme *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellValueRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetCellValueRange_135(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewTheme *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellValueRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewTheme_GetCellValueRange_136(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double  *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellValueRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetCellAlphaRange_137(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkViewTheme *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellAlphaRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetCellAlphaRange_138(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewTheme *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellAlphaRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewTheme_GetCellAlphaRange_139(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double  *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellAlphaRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetOutlineColor_140(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkViewTheme *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutlineColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetOutlineColor_141(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewTheme *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutlineColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewTheme_GetOutlineColor_142(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double  *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutlineColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetSelectedPointColor_143(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkViewTheme *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedPointColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetSelectedPointColor_144(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewTheme *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedPointColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewTheme_GetSelectedPointColor_145(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double  *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedPointColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetSelectedPointOpacity_146(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkViewTheme *op;
  double   temp0;
  temp0 = id0;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedPointOpacity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkViewTheme_GetSelectedPointOpacity_147(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double   temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedPointOpacity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetSelectedCellColor_148(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkViewTheme *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedCellColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetSelectedCellColor_149(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewTheme *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedCellColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewTheme_GetSelectedCellColor_150(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double  *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedCellColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetSelectedCellOpacity_151(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkViewTheme *op;
  double   temp0;
  temp0 = id0;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedCellOpacity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkViewTheme_GetSelectedCellOpacity_152(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double   temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedCellOpacity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetBackgroundColor_153(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkViewTheme *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackgroundColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetBackgroundColor_154(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewTheme *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackgroundColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewTheme_GetBackgroundColor_155(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double  *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackgroundColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetBackgroundColor2_156(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkViewTheme *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackgroundColor2(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetBackgroundColor2_157(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewTheme *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackgroundColor2(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewTheme_GetBackgroundColor2_158(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double  *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackgroundColor2();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetVertexLabelColor_159(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkViewTheme *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexLabelColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetVertexLabelColor_160(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewTheme *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexLabelColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewTheme_GetVertexLabelColor_161(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double  *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexLabelColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetEdgeLabelColor_162(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkViewTheme *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLabelColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewTheme_SetEdgeLabelColor_163(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewTheme *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLabelColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewTheme_GetEdgeLabelColor_164(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  double  *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLabelColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkViewTheme_CreateOceanTheme_165(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  vtkViewTheme  *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateOceanTheme();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkViewTheme_CreateMellowTheme_166(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  vtkViewTheme  *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateMellowTheme();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkViewTheme_CreateNeonTheme_167(JNIEnv *env, jobject obj)
{
  vtkViewTheme *op;
  vtkViewTheme  *temp20;

  op = (vtkViewTheme *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateNeonTheme();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkViewTheme_VTKInit(JNIEnv *, jobject)
{
  vtkViewTheme *aNewOne = vtkViewTheme::New();
  return (jlong)(size_t)(void*)aNewOne;
}
