// java wrapper for vtkTreeMapView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeMapView.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderView_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTreeMapView_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTreeMapView",dType)) { return me; }
  if ((res= vtkRenderView_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeMapView_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTreeMapView *op;
  const char    *temp20;

  op = (vtkTreeMapView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeMapView_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapView *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapView_SetColorArrayName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeMapView_GetColorArrayName_13(JNIEnv *env, jobject obj)
{
  vtkTreeMapView *op;
  const char    *temp20;

  op = (vtkTreeMapView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapView_SetSizeArrayName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSizeArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeMapView_GetSizeArrayName_15(JNIEnv *env, jobject obj)
{
  vtkTreeMapView *op;
  const char    *temp20;

  op = (vtkTreeMapView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSizeArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapView_SetLabelArrayName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeMapView_GetLabelArrayName_17(JNIEnv *env, jobject obj)
{
  vtkTreeMapView *op;
  const char    *temp20;

  op = (vtkTreeMapView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapView_SetHoverArrayName_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHoverArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeMapView_GetHoverArrayName_19(JNIEnv *env, jobject obj)
{
  vtkTreeMapView *op;
  const char    *temp20;

  op = (vtkTreeMapView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHoverArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapView_SetLayoutStrategy_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapView_SetLayoutStrategyToBox_111(JNIEnv *env, jobject obj)
{
  vtkTreeMapView *op;

  op = (vtkTreeMapView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToBox();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapView_SetLayoutStrategyToSliceAndDice_112(JNIEnv *env, jobject obj)
{
  vtkTreeMapView *op;

  op = (vtkTreeMapView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToSliceAndDice();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapView_SetLayoutStrategyToSquarify_113(JNIEnv *env, jobject obj)
{
  vtkTreeMapView *op;

  op = (vtkTreeMapView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToSquarify();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapView_SetBorderPercentage_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTreeMapView *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTreeMapView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorderPercentage(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTreeMapView_GetBorderPercentage_115(JNIEnv *env, jobject obj)
{
  vtkTreeMapView *op;
  double   temp20;

  op = (vtkTreeMapView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorderPercentage();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapView_SetFontSizeRange_116(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkTreeMapView *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTreeMapView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFontSizeRange(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapView_GetFontSizeRange_117(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkTreeMapView *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkTreeMapView *)vtkJavaGetPointerFromObject(env,obj);
  op->GetFontSizeRange(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapView_SetupRenderWindow_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTreeMapView *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTreeMapView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetupRenderWindow(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapView_ApplyViewTheme_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTreeMapView *op;
  vtkViewTheme  *temp0;
  temp0 = (vtkViewTheme *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTreeMapView *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyViewTheme(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTreeMapView_VTKInit(JNIEnv *, jobject)
{
  vtkTreeMapView *aNewOne = vtkTreeMapView::New();
  return (jlong)(size_t)(void*)aNewOne;
}
